# Uses of Class
org.apache.lucene.util.LongBitSet

Packages that use LongBitSet
Package
Description
org.apache.lucene.util
Some utility classes.

- ## Uses of LongBitSet in org.apache.lucene.util

  Methods in org.apache.lucene.util that return LongBitSet
  Modifier and Type
  Method
  Description
  `LongBitSet`
  LongBitSet.`clone()`
  `static LongBitSet`
  LongBitSet.`ensureCapacity(LongBitSet bits, long numBits)`
  If the given `LongBitSet` is large enough to hold `numBits+1`, returns the given bits, otherwise returns a new `LongBitSet` which can hold the requested number of bits.
  Methods in org.apache.lucene.util with parameters of type LongBitSet
  Modifier and Type
  Method
  Description
  `void`
  LongBitSet.`and(LongBitSet other)`
  this = this AND other
  `void`
  LongBitSet.`andNot(LongBitSet other)`
  this = this AND NOT other
  `static LongBitSet`
  LongBitSet.`ensureCapacity(LongBitSet bits, long numBits)`
  If the given `LongBitSet` is large enough to hold `numBits+1`, returns the given bits, otherwise returns a new `LongBitSet` which can hold the requested number of bits.
  `boolean`
  LongBitSet.`intersects(LongBitSet other)`
  returns true if the sets have any elements in common
  `void`
  LongBitSet.`or(LongBitSet other)`
  this = this OR other
  `void`
  LongBitSet.`xor(LongBitSet other)`
  this = this XOR other